### Enumeration

# FwupdPlugin HidDeviceFlags

#### Declaration

    flags FwupdPlugin.HidDeviceFlags

#### Description [src]

Flags used when calling `fu_hid_device_get_report()` and fu_hid_device_set_report().

#### Members

`FU_HID_DEVICE_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_ALLOW_TRUNC`

  Allow truncated reads and writes.

  - Value: `1`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_IS_FEATURE`

  Use `FU_HID_REPORT_TYPE_FEATURE` for wValue.

  - Value: `2`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_RETRY_FAILURE`

  Retry up to 10 times on failure.

  - Value: `4`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_NO_KERNEL_UNBIND`

  Do not unbind the kernel driver on open.

  - Value: `8`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_NO_KERNEL_REBIND`

  Do not rebind the kernel driver on close.

  - Value: `16`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_USE_INTERRUPT_TRANSFER`

  Use interrupt transfers, not control transfers.

  - Value: `32`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_AUTODETECT_EPS`

  Autodetect interface endpoints.

  - Value: `64`
  - Available since: 1.0